This might be a general question...

I'm using the windows-installer version of ruby, and I can't seem to compile
ANY of the oracle libraries. The extconf.rb files all say "no" to gcc, but I
do have gcc installed (cygwin), it's visible in my PATH, etc.

When extconf.rb says "no" about gcc, is it saying it can't find a gcc to
use, or is it saying that my ruby wasn't compiled using gcc?  To that end,
is it necessary to keep the same sort of development environment when
compiling extensions for ruby as what was used to compile ruby itself?

Lastly, if I get the latest ruby source, is it a big chore to get it
compiled myself using cygwin, and what are the disadvantages (if any) of
doing so?

Thanks